飞机盘解析

GET
http://api.xuewutheme.com/api/drive/feijipan

解析飞机盘资源链接

接口概述

请求示例: http://api.xuewutheme.com/api/drive/feijipan?url=https://share.feijipan.com/s/NRED8BFV?code=1234

解析飞机盘资源链接

请求参数

参数名 类型 必填 描述
apikey string 整数 string

用户开通的apikey

url string 整数 string

飞机盘链接

响应参数

成功响应

状态码: 200 OK
格式: json
参数名 类型 描述
code string string

返回的状态码

data object object

返回的数据/数据对象

data.down_url string string

下载地址

file_name string string

文件名称

file_size string string

文件大小

响应示例

JSON
{
    "code": 200,
    "data": {
        "down_url": "https://d.feijix.com/storage/files/2024/12/18/4/5014489004/17345274266151.gz?t=6762d0e2&rlimit=20&us=UPvm5ovdOO&sign=63f965f3ae707f960766b13e7c9dc0c7&download_name=Yapi.zip",
        "file_name": "Yapi.zip",
        "file_size": "1"
    },
    "msg": "解析成功!",
    "time": "2024-12-18 21:10:50"
}

请求示例

cURL

Bash
curl -X GET \
  "https://api.example.com/v1/users/12345" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
  -H "Content-Type: application/json"

Python

Python
import requests

url = "https://api.example.com/v1/users/12345"
headers = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

JavaScript
const response = await fetch(
  'https://api.example.com/v1/users/12345',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
      'Content-Type': 'application/json'
    }
  }
);

const data = await response.json();
console.log(data);

PHP

PHP
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.example.com/v1/users/12345");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");

$headers = array();
$headers[] = "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...";
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

curl_close($ch);

错误码

状态码 描述
100 您的apikey值为空!
101 您的apikey值不存在!
103 当前接口为实名认证后可用,请您先进行实名!
104 请求频率超限!
105 接口不存在或已下线!
106 您的余额不足,请及时充值!
107 您当前的接口免费使用次数已用完,请明日再来!
109 您的账号已被封禁,不可使用任何接口!
110 接口维护中,请稍后再试!
111 请求参数不完整,请检查后再次访问!

错误响应示例

JSON
{
  "code": 1001,
  "message": "用户不存在",
  "data": null
}